[Main]
ReadImmediately=1
RegGroupCount=56
ShowAddr=1
ShowLen=0
RegAddrLen=1
[RegGroup0]
RegAddr=0x0
Length=1
GroupName="Minimal_System_Voltage"
Count=2
Item0="b0-b5"
Name0="VSYSMIN"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Item1="b6-7"
Name1="Reserved"
Bit6=NA
Bit7=NA
[RegGroup1]
RegAddr=0x1
Length=2
GroupName="Charge_Voltage_Limit"
Count=3
Item0="b0-b7"
Name0="VREG"
Item1="b8-b10"
Name1="VREG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Item2="b11-15"
Name2="Reserved"
Bit11=NA
Bit12=NA
Bit13=NA
Bit14=NA
Bit15=NA
[RegGroup2]
RegAddr=0x3
Length=2
GroupName="Charge_Current_Limit"
Count=3
Item0="b0-b7"
Name0="ICHG"
Item1="b8"
Name1="ICHG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Item2="b9-15"
Name2="Reserved"
Bit9=NA
Bit10=NA
Bit11=NA
Bit12=NA
Bit13=NA
Bit14=NA
Bit15=NA
[RegGroup3]
RegAddr=0x5
Length=1
GroupName="Input_Voltage_Limit Register"
Count=1
Item0="b0-b7"
Name0="VINDPM"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
[RegGroup4]
RegAddr=0x6
Length=2
GroupName="Input_Current_Limit"
Count=3
Item0="b0-b7"
Name0="IINDPM"
Item1="b8"
Name1="IINDPM"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Item2="b9-15"
Name2="Reserved"
Bit9=NA
Bit10=NA
Bit11=NA
Bit12=NA
Bit13=NA
Bit14=NA
Bit15=NA
[RegGroup5]
RegAddr=0x8
Length=1
GroupName="Precharge_Control"
Count=2
Item0="b0-b5"
Name0="IPRECHG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Item1="b6-b7"
Name1="VBAT_LOW"
Bit6="RW"
Bit7="RW"
[RegGroup6]
RegAddr=0x9
Length=1
GroupName="Termination_Control"
Count=4
Item0="b0-b4"
Name0="ITERM"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Item1="b5"
Name1="Reserved"
Bit5=NA
Item2="b6"
Name2="REG_RST"
Bit6="RW"
Item3="b7"
Name3="Reserved"
Bit7=NA
[RegGroup7]
RegAddr=0xa
Length=1
GroupName="Re-charge_Control"
Count=3
Item0="b0-b3"
Name0="VRECHG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Item1="b4-b5"
Name1="TRECHG"
Bit4="RW"
Bit5="RW"
Item2="b6-b7"
Name2="CELL"
Bit6="RW"
Bit7="RW"
[RegGroup8]
RegAddr=0xb
Length=2
GroupName="VOTG_regulation"
Count=3
Item0="b0-b7"
Name0="VOTG"
Item1="b8-b10"
Name1="VOTG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Item2="b11-15"
Name2="Reserved"
Bit11=NA
Bit12=NA
Bit13=NA
Bit14=NA
Bit15=NA
[RegGroup9]
RegAddr=0xd
Length=1
GroupName="IOTG_regulation"
Count=2
Item0="b0-b6"
Name0="IOTG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Item1="b7"
Name1="PRECHG_TMR"
Bit7="RW"
[RegGroup10]
RegAddr=0xe
Length=1
GroupName="Timer_Control"
Count=6
Item0="b0"
Name0="TMR2X_EN"
Bit0="RW"
Item1="b1-b2"
Name1="CHG_TMR"
Bit1="RW"
Bit2="RW"
Item2="b3"
Name2="EN_CHG_TMR"
Bit3="RW"
Item3="b4"
Name3="EN_PRECHG_TMR"
Bit4="RW"
Item4="b5"
Name4="EN_TRICHG_TMR"
Bit5="RW"
Item5="b6-b7"
Name5="TOPOFF_TMR"
Bit6="RW"
Bit7="RW"
[RegGroup11]
RegAddr=0xf
Length=1
GroupName="Charger_Control_0"
Count=8
Item0="b0"
Name0="Reserved"
Bit0=NA
Item1="b1"
Name1="EN_TERM"
Bit1="RW"
Item2="b2"
Name2="EN_HIZ"
Bit2="RW"
Item3="b3"
Name3="FORCE_ICO"
Bit3="RW"
Item4="b4"
Name4="EN_ICO"
Bit4="RW"
Item5="b5"
Name5="EN_CHG"
Bit5="RW"
Item6="b6"
Name6="FORCE_IBATDIS"
Bit6="RW"
Item7="b7"
Name7="EN_AUTO_IBATDIS"
Bit7="RW"
[RegGroup12]
RegAddr=0x10
Length=1
GroupName="Charger_Control_1"
Count=4
Item0="b0-b2"
Name0="WATCHDOG"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Item1="b3"
Name1="WD_RST"
Bit3="RW"
Item2="b4-b5"
Name2="VAC_OVP"
Bit4="RW"
Bit5="RW"
Item3="b6-7"
Name3="Reserved"
Bit6=NA
Bit7=NA
[RegGroup13]
RegAddr=0x11
Length=1
GroupName="Charger_Control_2"
Count=7
Item0="b0"
Name0="SDRV_DLY"
Bit0="RW"
Item1="b1-b2"
Name1="SDRV_CTRL"
Bit1="RW"
Bit2="RW"
Item2="b3"
Name2="HVDCP_EN"
Bit3="RW"
Item3="b4"
Name3="EN_9V"
Bit4="RW"
Item4="b5"
Name4="EN_12V"
Bit5="RW"
Item5="b6"
Name5="AUTO_INDET_EN"
Bit6="RW"
Item6="b7"
Name6="FORCE_INDET"
Bit7="RW"
[RegGroup14]
RegAddr=0x12
Length=1
GroupName="Charger_Control_3"
Count=8
Item0="b0"
Name0="DIS_FWD_OOA"
Bit0="RW"
Item1="b1"
Name1="DIS_OTG_OOA"
Bit1="RW"
Item2="b2"
Name2="DIS_LDO"
Bit2="RW"
Item3="b3"
Name3="WKUP_DLY"
Bit3="RW"
Item4="b4"
Name4="PFM_FWD_DIS"
Bit4="RW"
Item5="b5"
Name5="PFM_OTG_DIS"
Bit5="RW"
Item6="b6"
Name6="EN_OTG"
Bit6="RW"
Item7="b7"
Name7="DIS_ACDRV"
Bit7="RW"
[RegGroup15]
RegAddr=0x13
Length=1
GroupName="Charger_Control_4"
Count=8
Item0="b0"
Name0="EN_IBUS_OCP"
Bit0="RW"
Item1="b1"
Name1="FORCE_VINDPM_D"
Bit1="RW"
Item2="b2"
Name2="DIS_VOTG_UVP"
Bit2="RW"
Item3="b3"
Name3="DIS_VSYS_SHORT"
Bit3="RW"
Item4="b4"
Name4="DIS_STAT"
Bit4="RW"
Item5="b5"
Name5="PWM_FREQ"
Bit5="RW"
Item6="b6"
Name6="EN_ACDRV1"
Bit6="RW"
Item7="b7"
Name7="EN_ACDRV2"
Bit7="RW"
[RegGroup16]
RegAddr=0x14
Length=1
GroupName="Charger_Control_5"
Count=7
Item0="b0"
Name0="EN_BATOC"
Bit0="RW"
Item1="b1"
Name1="EN_EXTILIM"
Bit1="RW"
Item2="b2"
Name2="EN_IINDPM"
Bit2="RW"
Item3="b3-b4"
Name3="IBAT_REG"
Bit3="RW"
Bit4="RW"
Item4="b5"
Name4="EN_IBAT"
Bit5="RW"
Item5="b6"
Name5="Reserved"
Bit6=NA
Item6="b7"
Name6="SFET_PRESENT"
Bit7="RW"
[RegGroup17]
RegAddr=0x16
Length=1
GroupName="Temperature_Control"
Count=6
Item0="b0"
Name0="Reserved"
Bit0=NA
Item1="b1"
Name1="VAC2_PD_EN"
Bit1="RW"
Item2="b2"
Name2="VAC1_PD_EN"
Bit2="RW"
Item3="b3"
Name3="VBUS_PD_EN"
Bit3="RW"
Item4="b4-b5"
Name4="TSHUT"
Bit4="RW"
Bit5="RW"
Item5="b6-b7"
Name5="TREG"
Bit6="RW"
Bit7="RW"
[RegGroup18]
RegAddr=0x17
Length=1
GroupName="NTC_Control_0"
Count=4
Item0="b0"
Name0="Reserved"
Bit0=NA
Item1="b1-b2"
Name1="JEITA_ISETC"
Bit1="RW"
Bit2="RW"
Item2="b3-b4"
Name2="JEITA_ISETH"
Bit3="RW"
Bit4="RW"
Item3="b5-b7"
Name3="JEITA_VSET"
Bit5="RW"
Bit6="RW"
Bit7="RW"
[RegGroup19]
RegAddr=0x18
Length=1
GroupName="NTC_Control_1"
Count=5
Item0="b0"
Name0="TS_IGNORE"
Bit0="RW"
Item1="b1"
Name1="BCOLD"
Bit1="RW"
Item2="b2-b3"
Name2="BHOT"
Bit2="RW"
Bit3="RW"
Item3="b4-b5"
Name3="TS_WARM"
Bit4="RW"
Bit5="RW"
Item4="b6-b7"
Name4="TS_COOL"
Bit6="RW"
Bit7="RW"
[RegGroup20]
RegAddr=0x19
Length=2
GroupName="ICO_Current_Limit"
Count=3
Item0="b0-b7"
Name0="ICO_ILIM"
Item1="b8"
Name1="ICO_ILIM"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Item2="b9-15"
Name2="Reserved"
Bit9=NA
Bit10=NA
Bit11=NA
Bit12=NA
Bit13=NA
Bit14=NA
Bit15=NA
[RegGroup21]
RegAddr=0x1b
Length=1
GroupName="Charger_Status_0"
Count=8
Item0="b0"
Name0="VBUS\nPRESENT\nSTAT"
Bit0="R"
Item1="b1"
Name1="AC1\nPRESENT\nSTAT"
Bit1="R"
Item2="b2"
Name2="AC2\nPRESENT\nSTAT"
Bit2="R"
Item3="b3"
Name3="PG\nSTAT"
Bit3="R"
Item4="b4"
Name4="POORSRC\nSTAT"
Bit4="R"
Item5="b5"
Name5="WD\nSTAT"
Bit5="R"
Item6="b6"
Name6="VINDPM\nSTAT"
Bit6="R"
Item7="b7"
Name7="IINDPM\nSTAT"
Bit7="R"
[RegGroup22]
RegAddr=0x1c
Length=1
GroupName="Charger_Status_1"
Count=3
Item0="b0"
Name0="BC1.2\nDONE\nSTAT"
Bit0="R"
Item1="b1-b4"
Name1="VBUS_STAT"
Bit1="R"
Bit2="R"
Bit3="R"
Bit4="R"
Item2="b5-b7"
Name2="CHG_STAT"
Bit5="R"
Bit6="R"
Bit7="R"
[RegGroup23]
RegAddr=0x1d
Length=1
GroupName="Charger_Status_2"
Count=7
Item0="b0"
Name0="TREG\nSTAT"
Bit0="R"
Item1="b1"
Name1="DPDM\nSTAT"
Bit1="R"
Item2="b2"
Name2="TREG_STAT"
Bit2="R"
Item3="b3"
Name3="RESERVED"
Bit3="R"
Item4="b4"
Name4="RESERVED"
Bit4="R"
Item5="b5"
Name5="RESERVED"
Bit5="R"
Item6="b6-b7"
Name6="ICO_STAT"
Bit6="R"
Bit7="R"
[RegGroup24]
RegAddr=0x1e
Length=1
GroupName="Charger_Status_3"
Count=8
Item0="b0"
Name0="RESERVED"
Bit0="R"
Item1="b1"
Name1="PRECHG\nTMR\nSTAT"
Bit1="R"
Item2="b2"
Name2="TRICHG\nTMR\nSTAT"
Bit2="R"
Item3="b3"
Name3="CHG\nTMR\nSTAT"
Bit3="R"
Item4="b4"
Name4="VSYS\nSTAT"
Bit4="R"
Item5="b5"
Name5="ADC\nDONE\nSTAT"
Bit5="R"
Item6="b6"
Name6="ACRB1\nSTAT"
Bit6="R"
Item7="b7"
Name7="ACRB2\nSTAT"
Bit7="R"
[RegGroup25]
RegAddr=0x1f
Length=1
GroupName="Charger_Status_4"
Count=8
Item0="b0"
Name0="TS\nHOT\nSTAT"
Bit0="R"
Item1="b1"
Name1="TS\nWARM\nSTAT"
Bit1="R"
Item2="b2"
Name2="TS\nCOOL\nSTAT"
Bit2="R"
Item3="b3"
Name3="TS\nCOLD\nSTAT"
Bit3="R"
Item4="b4"
Name4="VBATOTG\nLOW\nSTAT"
Bit4="R"
Item5="b5"
Name5="RESERVED"
Bit5="R"
Item6="b6"
Name6="RESERVED"
Bit6="R"
Item7="b7"
Name7="RESERVED"
Bit7="R"
[RegGroup26]
RegAddr=0x20
Length=1
GroupName="FAULT_Status_0"
Count=8
Item0="b0"
Name0="VAC1\nOVP\nSTAT"
Bit0="R"
Item1="b1"
Name1="VAC2\nOVP\nSTAT"
Bit1="R"
Item2="b2"
Name2="CONV\nOCP\nSTAT"
Bit2="R"
Item3="b3"
Name3="IBAT\nOCP\nSTAT"
Bit3="R"
Item4="b4"
Name4="IBUS\nOCP\nSTAT"
Bit4="R"
Item5="b5"
Name5="VBAT\nOVP\nSTAT"
Bit5="R"
Item6="b6"
Name6="VBUS\nOVP\nSTAT"
Bit6="R"
Item7="b7"
Name7="IBAT\nREG\nSTAT"
Bit7="R"
[RegGroup27]
RegAddr=0x21
Length=1
GroupName="FAULT_Status_1"
Count=8
Item0="b0"
Name0="RESERVED"
Bit0="R"
Item1="b1"
Name1="RESERVED"
Bit1="R"
Item2="b2"
Name2="TSHUT\nSTAT"
Bit2="R"
Item3="b3"
Name3="RESERVED"
Bit3="R"
Item4="b4"
Name4="OTG\nUVP\nSTAT"
Bit4="R"
Item5="b5"
Name5="OTG\nOVP\nSTAT"
Bit5="R"
Item6="b6"
Name6="VSYS\nOVP\nSTAT"
Bit6="R"
Item7="b7"
Name7="VSYS\nSHORT\nSTAT"
Bit7="R"
[RegGroup28]
RegAddr=0x22
Length=1
GroupName="Charger_Flag_0"
Count=8
Item0="b0"
Name0="VBUS\nPRESENT\nFLAG"
Bit0="R"
Item1="b1"
Name1="AC1\nPRESENT\nFLAG"
Bit1="R"
Item2="b2"
Name2="AC2\nPRESENT\nFLAG"
Bit2="R"
Item3="b3"
Name3="PG\nFLAG"
Bit3="R"
Item4="b4"
Name4="POORSRC\nFLAG"
Bit4="R"
Item5="b5"
Name5="WD\nFLAG"
Bit5="R"
Item6="b6"
Name6="VINDPM\nFLAG"
Bit6="R"
Item7="b7"
Name7="IINDPM\nFLAG"
Bit7="R"
[RegGroup29]
RegAddr=0x23
Length=1
GroupName="Charger_Flag_1"
Count=8
Item0="b0"
Name0="BC1.2\nDONE\nFLAG"
Bit0="R"
Item1="b1"
Name1="VBAT\nPRESENT\nFLAG"
Bit1="R"
Item2="b2"
Name2="TREG\nFLAG"
Bit2="R"
Item3="b3"
Name3="RESERVED"
Bit3="R"
Item4="b4"
Name4="VBUS\nFLAG"
Bit4="R"
Item5="b5"
Name5="RESERVED"
Bit5="R"
Item6="b6"
Name6="ICO\nFLAG"
Bit6="R"
Item7="b7"
Name7="CHG\nFLAG"
Bit7="R"
[RegGroup30]
RegAddr=0x24
Length=1
GroupName="Charger_Flag_2"
Count=8
Item0="b0"
Name0="TOPOFF\nTMR\nFLAG"
Bit0="R"
Item1="b1"
Name1="PRECHG\nTMR\nFLAG"
Bit1="R"
Item2="b2"
Name2="TRICHG\nTMR\nFLAG"
Bit2="R"
Item3="b3"
Name3="CHG\nTMR\nFLAG"
Bit3="R"
Item4="b4"
Name4="VSYS\nFLAG"
Bit4="R"
Item5="b5"
Name5="ADC\nDONE\nFLAG"
Bit5="R"
Item6="b6"
Name6="DPDM\nDONE\nFLAG"
Bit6="R"
Item7="b7"
Name7="RESERVED"
Bit7="R"
[RegGroup31]
RegAddr=0x25
Length=1
GroupName="Charger_Flag_3"
Count=8
Item0="b0"
Name0="TS\nHOT\nFLAG"
Bit0="R"
Item1="b1"
Name1="TS\nWARM\nFLAG"
Bit1="R"
Item2="b2"
Name2="TS\nCOOL\nFLAG"
Bit2="R"
Item3="b3"
Name3="TS\nCOLD\nFLAG"
Bit3="R"
Item4="b4"
Name4="VBATOTG\nLOW\nFLAG"
Bit4="R"
Item5="b5"
Name5="RESERVED"
Bit5="R"
Item6="b6"
Name6="RESERVED"
Bit6="R"
Item7="b7"
Name7="RESERVED"
Bit7="R"
[RegGroup32]
RegAddr=0x26
Length=1
GroupName="FAULT_Flag_0"
Count=8
Item0="b0"
Name0="VAC1\nOVP\nFLAG"
Bit0="R"
Item1="b1"
Name1="VAC2\nOVP\nFLAG"
Bit1="R"
Item2="b2"
Name2="CONV\nOCP\nFLAG"
Bit2="R"
Item3="b3"
Name3="IBAT\nOCP\nFLAG"
Bit3="R"
Item4="b4"
Name4="IBUS\nOCP\nFLAG"
Bit4="R"
Item5="b5"
Name5="VBAT\nOVP\nFLAG"
Bit5="R"
Item6="b6"
Name6="VBUS\nOVP\nFLAG"
Bit6="R"
Item7="b7"
Name7="IBAT\nREG\nFLAG"
Bit7="R"
[RegGroup33]
RegAddr=0x27
Length=1
GroupName="FAULT_Flag_1"
Count=8
Item0="b0"
Name0="RESERVED"
Bit0="R"
Item1="b1"
Name1="RESERVED"
Bit1="R"
Item2="b2"
Name2="TSHUT\nFLAG"
Bit2="R"
Item3="b3"
Name3="RESERVED"
Bit3="R"
Item4="b4"
Name4="OTG\nUVP\nFLAG"
Bit4="R"
Item5="b5"
Name5="OTG\nOVP\nFLAG"
Bit5="R"
Item6="b6"
Name6="VSYS\nOVP\nFLAG"
Bit6="R"
Item7="b7"
Name7="VSYS\nSHORT\nFLAG"
Bit7="R"
[RegGroup34]
RegAddr=0x28
Length=1
GroupName="Charger_Mask_0"
Count=8
Item0="b0"
Name0="VBUS_PRESENT_MASK"
Bit0="RW"
Item1="b1"
Name1="AC1_PRESENT_MASK"
Bit1="RW"
Item2="b2"
Name2="AC2_PRESENT_MASK"
Bit2="RW"
Item3="b3"
Name3="PG_MASK"
Bit3="RW"
Item4="b4"
Name4="POORSRC_MASK"
Bit4="RW"
Item5="b5"
Name5="WD_MASK"
Bit5="RW"
Item6="b6"
Name6="VINDPM_MASK"
Bit6="RW"
Item7="b7"
Name7="IINDPM_MASK"
Bit7="RW"
[RegGroup35]
RegAddr=0x29
Length=1
GroupName="Charger_Mask_1"
Count=8
Item0="b0"
Name0="BC1.2_DONE_MASK"
Bit0="RW"
Item1="b1"
Name1="VBAT_PRESENT_MASK"
Bit1="RW"
Item2="b2"
Name2="TREG_MASK"
Bit2="RW"
Item3="b3"
Name3="Reserved"
Bit3=NA
Item4="b4"
Name4="VBUS_MASK"
Bit4="RW"
Item5="b5"
Name5="Reserved"
Bit5=NA
Item6="b6"
Name6="ICO_MASK"
Bit6="RW"
Item7="b7"
Name7="CHG_MASK"
Bit7="RW"
[RegGroup36]
RegAddr=0x2a
Length=1
GroupName="Charger_Mask_2"
Count=8
Item0="b0"
Name0="TOPOFF_TMR_MASK"
Bit0="RW"
Item1="b1"
Name1="PRECHG_TMR_MASK"
Bit1="RW"
Item2="b2"
Name2="TRICHG_TMR_MASK"
Bit2="RW"
Item3="b3"
Name3="CHG_TMR_MASK"
Bit3="RW"
Item4="b4"
Name4="VSYS_MASK"
Bit4="RW"
Item5="b5"
Name5="ADC_DONE_MASK"
Bit5="RW"
Item6="b6"
Name6="DPDM_DONE_MASK"
Bit6="RW"
Item7="b7"
Name7="Reserved"
Bit7=NA
[RegGroup37]
RegAddr=0x2b
Length=1
GroupName="Charger_Mask_3"
Count=6
Item0="b0"
Name0="TS_HOT_MASK"
Bit0="RW"
Item1="b1"
Name1="TS_WARM_MASK"
Bit1="RW"
Item2="b2"
Name2="TS_COOL_MASK"
Bit2="RW"
Item3="b3"
Name3="TS_COLD_MASK"
Bit3="RW"
Item4="b4"
Name4="VBATOTG_LOW_MASK"
Bit4="RW"
Item5="b5-7"
Name5="Reserved"
Bit5=NA
Bit6=NA
Bit7=NA
[RegGroup38]
RegAddr=0x2c
Length=1
GroupName="FAULT_Mask_0"
Count=8
Item0="b0"
Name0="VAC1_OVP_MASK"
Bit0="RW"
Item1="b1"
Name1="VAC2_OVP_MASK"
Bit1="RW"
Item2="b2"
Name2="CONV_OCP_MASK"
Bit2="RW"
Item3="b3"
Name3="IBAT_OCP_MASK"
Bit3="RW"
Item4="b4"
Name4="IBUS_OCP_MASK"
Bit4="RW"
Item5="b5"
Name5="VBAT_OVP_MASK"
Bit5="RW"
Item6="b6"
Name6="VBUS_OVP_MASK"
Bit6="RW"
Item7="b7"
Name7="IBAT_REG_MASK"
Bit7="RW"
[RegGroup39]
RegAddr=0x2d
Length=1
GroupName="FAULT_Mask_1"
Count=7
Item0="b0-1"
Name0="Reserved"
Bit0=NA
Bit1=NA
Item1="b2"
Name1="TSHUT_MASK"
Bit2="RW"
Item2="b3"
Name2="Reserved"
Bit3=NA
Item3="b4"
Name3="OTG_UVP_MASK"
Bit4="RW"
Item4="b5"
Name4="OTG_OVP_MASK"
Bit5="RW"
Item5="b6"
Name5="VSYS_OVP_MASK"
Bit6="RW"
Item6="b7"
Name6="VSYS_SHORT_MASK"
Bit7="RW"
[RegGroup40]
RegAddr=0x2e
Length=1
GroupName="ADC_Control"
Count=6
Item0="b0-1"
Name0="Reserved"
Bit0=NA
Bit1=NA
Item1="b2"
Name1="ADC_AVG_INIT"
Bit2="RW"
Item2="b3"
Name2="ADC_AVG"
Bit3="RW"
Item3="b4-b5"
Name3="ADC_SAMPLE"
Bit4="RW"
Bit5="RW"
Item4="b6"
Name4="ADC_RATE"
Bit6="RW"
Item5="b7"
Name5="ADC_EN"
Bit7="RW"
[RegGroup41]
RegAddr=0x2f
Length=1
GroupName="ADC_Function_Disable"
Count=8
Item0="b0"
Name0="Reserved"
Bit0=NA
Item1="b1"
Name1="TDIE_ADC_DIS"
Bit1="RW"
Item2="b2"
Name2="TS_ADC_DIS"
Bit2="RW"
Item3="b3"
Name3="VSYS_ADC_DIS"
Bit3="RW"
Item4="b4"
Name4="VBAT_ADC_DIS"
Bit4="RW"
Item5="b5"
Name5="VBUS_ADC_DIS"
Bit5="RW"
Item6="b6"
Name6="IBAT_ADC_DIS"
Bit6="RW"
Item7="b7"
Name7="IBUS_ADC_DIS"
Bit7="RW"
[RegGroup42]
RegAddr=0x30
Length=1
GroupName="Function_Disable_1"
Count=5
Item0="b0-3"
Name0="Reserved"
Bit0=NA
Bit1=NA
Bit2=NA
Bit3=NA
Item1="b4"
Name1="VAC1_ADC_DIS"
Bit4="RW"
Item2="b5"
Name2="VAC2_ADC_DIS"
Bit5="RW"
Item3="b6"
Name3="DM_ADC_DIS"
Bit6="RW"
Item4="b7"
Name4="DP_ADC_DIS"
Bit7="RW"
[RegGroup43]
RegAddr=0x31
Length=2
GroupName="IBUS_ADC"
Count=2
Item0="b0-b7"
Name0="IBUS_ADC"
Item1="b8-b15"
Name1="IBUS_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup44]
RegAddr=0x33
Length=2
GroupName="IBAT_ADC"
Count=2
Item0="b0-b7"
Name0="IBAT_ADC"
Item1="b8-b15"
Name1="IBAT_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup45]
RegAddr=0x35
Length=2
GroupName="VBUS_ADC"
Count=2
Item0="b0-b7"
Name0="VBUS_ADC"
Item1="b8-b15"
Name1="VBUS_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup46]
RegAddr=0x37
Length=2
GroupName="VAC1_ADC"
Count=2
Item0="b0-b7"
Name0="VAC1_ADC"
Item1="b8-b15"
Name1="VAC1_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup47]
RegAddr=0x39
Length=2
GroupName="VAC2_ADC"
Count=2
Item0="b0-b7"
Name0="VAC2_ADC"
Item1="b8-b15"
Name1="VAC2_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup48]
RegAddr=0x3b
Length=2
GroupName="VBAT_ADC"
Count=2
Item0="b0-b7"
Name0="VBAT_ADC"
Item1="b8-b15"
Name1="VBAT_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup49]
RegAddr=0x3d
Length=2
GroupName="VSYS_ADC"
Count=2
Item0="b0-b7"
Name0="VSYS_ADC"
Item1="b8-b15"
Name1="VSYS_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup50]
RegAddr=0x3f
Length=2
GroupName="TS_ADC"
Count=2
Item0="b0-b7"
Name0="TS_ADC"
Item1="b8-b15"
Name1="TS_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup51]
RegAddr=0x41
Length=2
GroupName="TDIE_ADC"
Count=2
Item0="b0-b7"
Name0="TDIE_ADC"
Item1="b8-b15"
Name1="TDIE_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup52]
RegAddr=0x43
Length=2
GroupName="D+_ADC"
Count=2
Item0="b0-b7"
Name0="D+_ADC"
Item1="b8-b15"
Name1="D+_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup53]
RegAddr=0x45
Length=2
GroupName="D-_ADC"
Count=2
Item0="b0-b7"
Name0="D-_ADC"
Item1="b8-b15"
Name1="D-_ADC"
Bit0="RW"
Bit1="RW"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Bit5="RW"
Bit6="RW"
Bit7="RW"
Bit8="RW"
Bit9="RW"
Bit10="RW"
Bit11="RW"
Bit12="RW"
Bit13="RW"
Bit14="RW"
Bit15="RW"
[RegGroup54]
RegAddr=0x47
Length=1
GroupName="DPDM_Driver"
Count=3
Item0="b0-1"
Name0="Reserved"
Bit0=NA
Bit1=NA
Item1="b2-b4"
Name1="DMINUS_DAC"
Bit2="RW"
Bit3="RW"
Bit4="RW"
Item2="b5-b7"
Name2="DPLUS_DAC"
Bit5="RW"
Bit6="RW"
Bit7="RW"
[RegGroup55]
RegAddr=0x48
Length=1
GroupName="Part_Information"
Count=3
Item0="b0-b2"
Name0="Device Revision"
Bit0="R"
Bit1="R"
Bit2="R"
Item1="b3-b5"
Name1="Device Part number"
Bit3="R"
Bit4="R"
Bit5="R"
Item2="b6-7"
Name2="Reserved"
Bit6=NA
Bit7=NA
